module.exports = {
  create: {
    requestBody: [
      "!name",
      "!phone",
      "!passwd",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "phone",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        phone: "phone",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  //修改密码
  password: {
    params: ["!id"],
    requestBody: ["passwd"],
    service: "password",
  },
  // 登陆
  login: {
    requestBody: ["code_phone", "passwd"],
    service: "login",
  }
};
