module.exports = {
  create: {
    requestBody: [
      "code",
      "education",
      "school",
      "birthDate",
      "qqwx",
      "email",
      "company",
      "zwzc",
      "expertise",
      "img_path",
      "workexperience",
      "scientific",
      "undertakingproject",
      "scienceaward",
      "social",
      "status",
      "remark",
      'name',
      'phone',
      'addr',
      'office_phone',
      'profession',
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "education",
      "school",
      "birthDate",
      "qqwx",
      "email",
      "company",
      "zwzc",
      "expertise",
      "img_path",
      "workexperience",
      "scientific",
      "undertakingproject",
      "scienceaward",
      "social",
      "status",
      "remark",
      'name',
      'phone',
      'addr',
      'office_phone',
      'profession',
    ],
  },
  show: {
    parameters: {
      params: ["!user_id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        phone: "phone",
        code: "code",
        company: "company",
        status: "status",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      options: {
        isdel: "0", // 默认条件
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
