module.exports = {
  create: {
    requestBody: [
      "user_id",
      "column_name",
      "title",
      "release_time",
      "origin",
      "content",
      "image",
      "fileUrl",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "column_name",
      "title",
      "release_time",
      "origin",
      "content",
      "image",
      "fileUrl",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        column_name: "column_name",
        title: "%title%",
        origin: "origin",
        "release_time@start": "release_time@start",
        "release_time@end": "release_time@end",
        release_time: "release_time",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
