module.exports = {
  create: {
    requestBody: [
      "create_number",
      "create_date",
      "success_number",
      "success_date",
      "name",
      "inventor",
      "address",
      "apply_personal",
      "term",
      "type",
      "agent_personal",
      "agent",
      "abstract",
      "img_url",
      "origin",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "create_number",
      "create_date",
      "success_number",
      "success_date",
      "name",
      "inventor",
      "address",
      "apply_personal",
      "term",
      "type",
      "agent_personal",
      "agent",
      "abstract",
      "img_url",
      "origin",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        create_number: "create_number",
        create_date: "create_date",
        create_number: "create_number",
        success_date: "success_date",
        name: "%name%",
        inventor: "inventor",
        address: "address",
        apply_personal: "%apply_personal%",
        term: "term",
        type: "type",
        agent_personal: "agent_personal",
        agent: "agent",
        origin: "%origin%",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
