/* eslint valid-jsdoc: "off" */

'use strict';
const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1618555135007_514';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'test',
  };
  config.cluster = {
    listen: {
      port: 9201,
    },
  };
  config.dbName = 'hnh-main';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      // user: 'admin',
      // pass: '111111',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
